package org.linlinjava.jz.db.util;

public class CallResultConstant {
    public static final Short RESULT_CALLBACK = 1;
    public static final Short RESULT_NO_ANSWER = 2;
    public static final Short RESULT_BUSY = 3;
    public static final Short RESULT_POWER_OFF = 4;
    public static final Short RESULT_OVERDUE= 5;
    public static final Short RESULT_SUCCESS = 6;
    public static final Short RESULT_NO_NULL = 7;
    public static final Short RESULT_NO_CONTACT = 8;
    public static final Short RESULT_REJECT = 9;

    public static String resultDes(Short result) {
        switch (result) {
            case 1:
                return "个人回拨";
            case 2:
                return "无应答";
            case 3:
                return "通话中";
            case 4:
                return "关机";
            case 5:
                return "停机";
            case 6:
                return "呼叫成功";
            case 7:
                return "空号";
            case 8:
                return "无法接通";
            case 9:
                return "拒访";

        }
        return null;
    }
}
